module.exports = function() {
	return {
		// Babel assumes ES Modules, which isn't safe until CommonJS
		// dies. This changes the behavior to assume CommonJS unless
		// an `import` or `export` is present in the file.
		sourceType: 'unambiguous',
		presets: [
			[
				require( '@babel/preset-env' ).default,
				{
					// Allow importing core-js in entrypoint and use browserlist to select polyfills
					useBuiltIns: 'entry',
					corejs: 3,
					modules: false,
					// Exclude transforms that make all code slower
					exclude: [ 'transform-typeof-symbol' ],
				},
			],
		],
		plugins: [
			require.resolve( '@babel/plugin-proposal-object-rest-spread' ),
			// Polyfills the runtime needed for async/await, generators, and friends
			// https://babeljs.io/docs/en/babel-plugin-transform-runtime
			[
				require( '@babel/plugin-transform-runtime' ).default,
				{
					corejs: false,
					helpers: true,
					regenerator: true,
					useESModules: true,
				},
			],
		],
	};
};
